Đến nội dung


Hình ảnh
- - - - -

Xin Lisp !


  • Please log in to reply
5 replies to this topic

#1 thienhadi

thienhadi

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 06 September 2016 - 02:02 PM

Mình cần 1 cái lisp dánh lệnh cái nó ra chữ"  vị trì khu đất và có mũi tên chỉ dẫn".Mình tìm nhiều rùi không thấy mong các Anh/Chị và các bạn ai biết thì xin chỉ mình. Thanks All!155247_hinh_1.jpg


  • 0

#2 thienhadi

thienhadi

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 06 September 2016 - 02:30 PM

Mình đã tìm được, thanks all


  • 0

#3 Huynh Nghia

Huynh Nghia

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: -22 (kém)

Đã gửi 07 September 2016 - 07:21 PM

Up lên cho mình xin với bạn
  • 0

#4 ginger

ginger

    biết lệnh move

  • Advance Member
  • PipPipPip
  • 121 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 07 September 2016 - 08:59 PM

Up lên cho mình xin với bạn

bạn gõ Lệnh LE và chỉnh là được mà 


  • 0

#5 Huynh Nghia

Huynh Nghia

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: -22 (kém)

Đã gửi 07 September 2016 - 09:25 PM

bạn gõ Lệnh LE và chỉnh là được mà 

Đánh lệnh nó ra chữ mà bạn ginger


  • 0

#6 thienhadi

thienhadi

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 08 September 2016 - 12:55 PM

Mình sử sụng lisp này nè. Mình up không được ai chỉ minh với. mình dán len đay luôn.

 

;;;Viet dong chu "Vi tri khu dat"
 (defun C:VTKD(/ pt1 pt2)
  (setvar "CMDECHO" 0)
  (setq osm (getvar "OSMODE"))
  ;(setq pt1 (getpoint "\nDiem dat text : "))
  (while (= (setq pt1 (getpoint "\nDiem dat text : ")) nil))
  (setq pt2 (polar pt1 0 10.2))
  (setq vt (polar pt1 1 0.5))
  (setvar "OSMODE" 0)
  (command ".line" pt1 pt2 "")
  (command ".text" vt 1.2 0 "Vò trí khu ñaát" "")
  (setvar "OSMODE" osm)
  (princ)
)
 
 
;;;Ve mui ten
(defun C:MT (/ pt pt1 pt2 ang)
  (setvar "CMDECHO" 0)
  (setq osm (getvar  "OSMODE"))
  (while (= (setq pt1 (getpoint "\nDiem dau mui ten : ")) nil))
  (while (= (setq pt2 (getpoint pt1 "\nDiem cuoi mui ten : ")) nil))
  (setq ang (angle pt1 pt2)  pt (polar pt1 ang 1.0))
  (setvar "OSMODE" 0)
  (command "PLINE" pt2 "W" 0 0 pt "W" 0.5 0 pt1  "")
  (setvar "OSMODE" osm)
  (princ)
)
 
 
;;;Viet dong chu "Vi tri khu dat"
 (defun C:VT(/ pt pt2 pt3 ang)
  (setq osm (getvar "OSMODE"))
  (setq pt2 (getpoint "\nDiem dat VTKD: "))
  (setvar "OSMODE" 0)
  (setq pt3 (getpoint "\nHuong VTKD: "))
  (if (< (car pt2) (car pt3))
    (setq pt3 (polar pt2 0 10.2))
    (setq pt3 (polar pt2 PI 10.2))
  );if
  (command "PLINE" pt2 pt3 "")
  (if (< (car pt2) (car pt3))
    (setq vttext (polar pt2 1 0.5))
    (setq vttext (polar pt3 1 0.5))
  );if
  (command "TEXT" vttext 1.2 0 "Vò trí khu ñaát" "")
  (setvar "OSMODE" osm)
  (princ)
)
 
 
 
;;;Ve mui ten + Viet dong chu "Vi tri khu dat"
 (defun C:q(/ pt pt1 pt2 PT3 ang)
  (setq osm (getvar "OSMODE"))
  (setvar "OSMODE" 512)
  (setq pt1 (getpoint "\nDiem dau mui ten: "))
  (setvar "OSMODE" 0)
  (setq pt2 (getpoint pt1 "\nDiem cuoi mui ten: "))
  (setq ang (angle pt1 pt2))
  (setq pt (polar pt1 ang 1))
(command "PLINE" pt1 "W" 0.0 0.5
                   pt "W" 0.0 0.0 pt2 "")
  (setq pt3 (getpoint "\nHuong VTKD: "))
  (if (< (car pt2) (car pt3))
    (setq pt3 (polar pt2 0 8.0))
    (setq pt3 (polar pt2 PI 8.0))
  );if
  (command "PLINE" pt2 pt3 "")
  (if (< (car pt2) (car pt3))
    (setq vttext (polar pt2 1 0.5))
    (setq vttext (polar pt3 1 0.5))
  );if
  (command "TEXT" vttext 0.8 0 "Vò trí khu ñaát" "")
  (setvar "OSMODE" osm)
  (princ)
)

Bài viết đã được chỉnh sửa nội dung bởi thienhadi: 08 September 2016 - 12:57 PM

  • 0